Subject: Re: case

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 14 Dec 2000 12:50:32 -0500

I am confused.  The case in any Megaco token EXCEPT IN SDP is not
important, A, a, Add, ADD,AdD,aDd,... are all the Add token.
With that rule, the production, as written is correct, and a parser
should accept A,a, Add, ADD, AdD.... as the Add token.

ABNF never was explicit enough to capture this well without
tortuous productions.  Thus we have statements in the front
of the grammar, we have notes about "at most once", etc.

Brian

> -----Original Message-----
> From: Paul Long [mailto:[email-masked]]
> Sent: Thursday, December 14, 2000 11:05 AM
> To: [email-masked]
> Subject: case
>
>
> (I am fairly new to the list, so my apologies of this has already been
> discussed.)
>
> I noticed this in the 1st-interop report:
>
>    "3. There was confusion on case sensitivity.  Consensus is that the
>       Megaco language, including tokens, event names, signal names,
>       parameter names, enumeration values, etc. are NOT case
> sensitive.
>       Attention was noted that values in quotations may be case
>       sensitive, and that SDP is case sensitive in most
> circumstances."
>
> So does this mean that the Megaco ABNF is incorrect? For
> example, instead of
>
>    AddToken                   = ("Add"                   / "A")
>
> should it be replaced by the following?
>
>    A                          = ("A" / "a")
>    B                          = ("B" / "b")
>    C                          = ("C" / "c")
>    D                          = ("D" / "d")
>    ...
>    Z                          = ("Z" / "z")
>
>    AddToken                   = ((A D D) / A)
>
> IOW, are, for example, "Add", "ADD", "aDd", "add", "A", and "a" all
> synonyms?
>
> Paul Long
> ipDialog, Inc.
>